Package org.apache.sling.jcr.base.internal.mount

## Class ProxyQueryResult

- java.lang.Object
- - org.apache.sling.jcr.base.internal.mount.ProxyWrapper<javax.jcr.query.QueryResult>
  - - org.apache.sling.jcr.base.internal.mount.ProxyQueryResult

All Implemented Interfaces:
  `javax.jcr.query.QueryResult`

    public class ProxyQueryResult
    extends ProxyWrapper<javax.jcr.query.QueryResult>
    implements javax.jcr.query.QueryResult

### Constructor Summary

Constructors
`ProxyQueryResult​(ProxySession<?> mountSession, javax.jcr.query.QueryResult delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getColumnNames()`
`javax.jcr.NodeIterator` `getNodes()`
`javax.jcr.query.RowIterator` `getRows()`
`String[]` `getSelectorNames()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyQueryResult

    public ProxyQueryResult​(ProxySession<?> mountSession,
                            javax.jcr.query.QueryResult delegate)

### Method Detail

#### getColumnNames

    public String[] getColumnNames()
                            throws javax.jcr.RepositoryException

Specified by:
  `getColumnNames` in interface `javax.jcr.query.QueryResult`
Throws:
  `javax.jcr.RepositoryException`

#### getRows

    public javax.jcr.query.RowIterator getRows()
                                        throws javax.jcr.RepositoryException

Specified by:
  `getRows` in interface `javax.jcr.query.QueryResult`
Throws:
  `javax.jcr.RepositoryException`

#### getNodes

    public javax.jcr.NodeIterator getNodes()
                                    throws javax.jcr.RepositoryException

Specified by:
  `getNodes` in interface `javax.jcr.query.QueryResult`
Throws:
  `javax.jcr.RepositoryException`

#### getSelectorNames

    public String[] getSelectorNames()
                              throws javax.jcr.RepositoryException

Specified by:
  `getSelectorNames` in interface `javax.jcr.query.QueryResult`
Throws:
  `javax.jcr.RepositoryException`